LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XHierarchicalName Interface Referencepublished

specifies the fully qualified name of the object within a hierarchy. More...

`import"XHierarchicalName.idl";`

Inheritance diagram for XHierarchicalName:

## Public Member Functions
string | getHierarchicalName ()
string | composeHierarchicalName ([in] string aRelativeName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| builds the hierarchical name of an object, given a relative name More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the fully qualified name of the object within a hierarchy.

The name is generally globally unique in the hierarchy.

See also
  com::sun::star::container::XHierarchicalNameAccess
  com::sun::star::container::XNamed

## Member Function Documentation

## ◆ composeHierarchicalName()

string composeHierarchicalName | ( | [in] string | aRelativeName | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::NoSupportException
| ) |  |

builds the hierarchical name of an object, given a relative name

Can be used to find the name of a descendant object in the hierarchy without actually accessing it.

See also
  XHierarchicalNameAccess::hasByHierarchicalName

## ◆ getHierarchicalName()

string getHierarchicalName | ( |  | ) |

Returns
  the fully qualified hierarchical name of the object.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XHierarchicalName.idl